# NVSRCO

**NVSRCO** stands for **Network Vulnerability Scanner for Resource-Constrained Organizations**. This project aims to provide an affordable network security assessment tool tailored for environments with limited technical or financial resources.

## Overview

NVSRCO automates the discovery of network devices, scanning of ports, and identification of vulnerabilities using OpenVAS. Results are compiled into CSVs and visualized through an interactive web dashboard.

## Features
- OpenVAS integration for deep vulnerability assessments
- Periodic scan scheduling with Python
- Interactive Dash web UI for non-technical users
- Docker-based OpenVAS setup for ease of deployment
- Automated host discovery and port scanning
